// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  app: {
    head: {
      charset: 'utf-8',
      viewport: 'width=device-width, initial-scale=1',
      meta: [
        { name: 'viewport', content: 'width=device-width, initial-scale=1' }
      ],
      link: [
        {
          rel: 'stylesheet',
          href: 'http://fonts.googleapis.com/css?family=Titillium+Web:400,200,300,700,600',
          type: 'text/css'
        },
        {
          rel: 'stylesheet',
          href: 'http://fonts.googleapis.com/css?family=Roboto+Condensed:400,700,300',
          type: 'text/css'
        },
        {
          rel: 'stylesheet',
          href: 'http://fonts.googleapis.com/css?family=Raleway:400,100',
          type: 'text/css'
        },
        {
          rel: 'stylesheet',
          href: '/css/bootstrap.min.css',
        },
        {
          rel: 'stylesheet',
          href: '/css/font-awesome.min.css',
        },
        {
          rel: 'stylesheet',
          href: '/css/owl.carousel.css',
        },
        {
          rel: 'stylesheet',
          href: '/style.css',
        },
        {
          rel: 'stylesheet',
          href: '/css/responsive.css',
        },
      ],
      script: [
        {
          src: 'https://code.jquery.com/jquery.min.js',
          // valid options are: 'head' | 'bodyClose' | 'bodyOpen'
          tagPosition: 'bodyClose'
        },
        {
          src: 'http://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js',
          // valid options are: 'head' | 'bodyClose' | 'bodyOpen'
          tagPosition: 'bodyClose'
        },
        {
          src: '/js/owl.carousel.min.js',
          // valid options are: 'head' | 'bodyClose' | 'bodyOpen'
          tagPosition: 'bodyClose'
        },{
          src: '/js/jquery.sticky.js',
          // valid options are: 'head' | 'bodyClose' | 'bodyOpen'
          tagPosition: 'bodyClose'
        },{
          src: '/js/jquery.easing.1.3.min.js',
          // valid options are: 'head' | 'bodyClose' | 'bodyOpen'
          tagPosition: 'bodyClose'
        },{
          src: '/js/main.js',
          // valid options are: 'head' | 'bodyClose' | 'bodyOpen'
          tagPosition: 'bodyClose'
        },{
          src: '/js/bxslider.min.js',
          // valid options are: 'head' | 'bodyClose' | 'bodyOpen'
          tagPosition: 'bodyClose'
        },{
          src: '/js/script.slider.js',
          // valid options are: 'head' | 'bodyClose' | 'bodyOpen'
          tagPosition: 'bodyClose'
        },
      ]
    },    
  },
  devtools: { enabled: true },
  routeRules: {
    // Generated at build time for SEO purpose
    '/': { prerender: true },
    // Cached for 1 hour
    '/api/*': { cache: { maxAge: 60 * 60 } },
    // Redirection to avoid 404
    '/old-page': {
      redirect: { to: '/new-page', statusCode: 302 }
    }
    // ...
  }
})
